%{?nodejs_find_provides_and_requires}

%global packagename left-pad
%global enable_tests 1

Name:		nodejs-left-pad
Version:	1.1.1
Release:	2%{?dist}
Summary:	String left pad

License:	WTFPL
URL:		https://github.com/azer/left-pad.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/azer/left-pad/master/test.js
# No license file.  Requested at https://github.com/azer/left-pad/issues/3
Source2:	http://www.wtfpl.net/txt/copying


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
String left pad


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .
cp -p %{SOURCE2} LICENSE

# add script interpreter to executable scripts
sed -i '1i #!/usr/bin/node' index.js


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Aug 11 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Update to upstream 1.1.1 release

* Thu Feb 18 2016 Jared Smith <jsmith@fedoraproject.org> - 0.0.4-2
- Fix missing BuildRequire

* Wed Feb 17 2016 Jared Smith <jsmith@fedoraproject.org> - 0.0.4-1
- Initial packaging
